<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: Chat Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d40/a04137.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Chat Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aba2bef6afcd4de7b549082ae10f8eb82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#aba2bef6afcd4de7b549082ae10f8eb82">Chat</a> ()</td></tr>
<tr class="separator:aba2bef6afcd4de7b549082ae10f8eb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee6e85e04e1b8c83bd414f6baa711aa5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#aee6e85e04e1b8c83bd414f6baa711aa5">Init</a> (Widget root_widget)</td></tr>
<tr class="separator:aee6e85e04e1b8c83bd414f6baa711aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a37315965781e30a95aee97e2c43749"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a4a37315965781e30a95aee97e2c43749">OnChatInputShow</a> ()</td></tr>
<tr class="separator:a4a37315965781e30a95aee97e2c43749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ba842f15c795ac4002cafabde0fe20"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a17ba842f15c795ac4002cafabde0fe20">OnChatInputHide</a> ()</td></tr>
<tr class="separator:a17ba842f15c795ac4002cafabde0fe20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba11dae2be22c92eddee0b3189e236df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#aba11dae2be22c92eddee0b3189e236df">HideChatToggle</a> ()</td></tr>
<tr class="separator:aba11dae2be22c92eddee0b3189e236df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a153ade0131ac723d28931701acb61dba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a153ade0131ac723d28931701acb61dba">GetChatToggleState</a> ()</td></tr>
<tr class="separator:a153ade0131ac723d28931701acb61dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8ba971878e37db16c51312843c265db"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#ab8ba971878e37db16c51312843c265db">Add</a> (ChatMessageEventParams params)</td></tr>
<tr class="separator:ab8ba971878e37db16c51312843c265db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45532a4e67bae0d08d68c2c1672ce5d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#ad45532a4e67bae0d08d68c2c1672ce5d">AddInternal</a> (ChatMessageEventParams params)</td></tr>
<tr class="separator:ad45532a4e67bae0d08d68c2c1672ce5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c339c78282bbe66809adf05493989e0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a9c339c78282bbe66809adf05493989e0">Clear</a> ()</td></tr>
<tr class="separator:a9c339c78282bbe66809adf05493989e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a6190cfb175e7888e6381be8d39400"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d0d/a04153.html">ExpansionChatUIWindow</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a85a6190cfb175e7888e6381be8d39400">GetChatWindow</a> ()</td></tr>
<tr class="separator:a85a6190cfb175e7888e6381be8d39400"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a60fda5f25ae277d1a240b4ea6ee3d84b"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dc/d0d/a04153.html">ExpansionChatUIWindow</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a60fda5f25ae277d1a240b4ea6ee3d84b">m_ExChatUI</a></td></tr>
<tr class="separator:a60fda5f25ae277d1a240b4ea6ee3d84b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f36cfa8e0f6a42ec5c681e58a817218"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/a04137.html#a7f36cfa8e0f6a42ec5c681e58a817218">m_HideChatToggle</a> = true</td></tr>
<tr class="separator:a7f36cfa8e0f6a42ec5c681e58a817218"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionChat.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00013">13</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aba2bef6afcd4de7b549082ae10f8eb82" name="aba2bef6afcd4de7b549082ae10f8eb82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba2bef6afcd4de7b549082ae10f8eb82">&#9670;&#160;</a></span>Chat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::Chat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00018">18</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab8ba971878e37db16c51312843c265db" name="ab8ba971878e37db16c51312843c265db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8ba971878e37db16c51312843c265db">&#9670;&#160;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chat::Add </td>
          <td>(</td>
          <td class="paramtype">ChatMessageEventParams&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00067">67</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="ad45532a4e67bae0d08d68c2c1672ce5d" name="ad45532a4e67bae0d08d68c2c1672ce5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad45532a4e67bae0d08d68c2c1672ce5d">&#9670;&#160;</a></span>AddInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chat::AddInternal </td>
          <td>(</td>
          <td class="paramtype">ChatMessageEventParams&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00077">77</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a9c339c78282bbe66809adf05493989e0" name="a9c339c78282bbe66809adf05493989e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c339c78282bbe66809adf05493989e0">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chat::Clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >DON'T clear chat lines</p>

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00087">87</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a153ade0131ac723d28931701acb61dba" name="a153ade0131ac723d28931701acb61dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a153ade0131ac723d28931701acb61dba">&#9670;&#160;</a></span>GetChatToggleState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Chat::GetChatToggleState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00062">62</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a85a6190cfb175e7888e6381be8d39400" name="a85a6190cfb175e7888e6381be8d39400"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85a6190cfb175e7888e6381be8d39400">&#9670;&#160;</a></span>GetChatWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/d0d/a04153.html">ExpansionChatUIWindow</a> Chat::GetChatWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00096">96</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="aba11dae2be22c92eddee0b3189e236df" name="aba11dae2be22c92eddee0b3189e236df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba11dae2be22c92eddee0b3189e236df">&#9670;&#160;</a></span>HideChatToggle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::HideChatToggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00056">56</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="aee6e85e04e1b8c83bd414f6baa711aa5" name="aee6e85e04e1b8c83bd414f6baa711aa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee6e85e04e1b8c83bd414f6baa711aa5">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chat::Init </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>root_widget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00025">25</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a17ba842f15c795ac4002cafabde0fe20" name="a17ba842f15c795ac4002cafabde0fe20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ba842f15c795ac4002cafabde0fe20">&#9670;&#160;</a></span>OnChatInputHide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::OnChatInputHide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00047">47</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a4a37315965781e30a95aee97e2c43749" name="a4a37315965781e30a95aee97e2c43749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a37315965781e30a95aee97e2c43749">&#9670;&#160;</a></span>OnChatInputShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::OnChatInputShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00038">38</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a60fda5f25ae277d1a240b4ea6ee3d84b" name="a60fda5f25ae277d1a240b4ea6ee3d84b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60fda5f25ae277d1a240b4ea6ee3d84b">&#9670;&#160;</a></span>m_ExChatUI</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dc/d0d/a04153.html">ExpansionChatUIWindow</a> Chat::m_ExChatUI</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00015">15</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<a id="a7f36cfa8e0f6a42ec5c681e58a817218" name="a7f36cfa8e0f6a42ec5c681e58a817218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f36cfa8e0f6a42ec5c681e58a817218">&#9670;&#160;</a></span>m_HideChatToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool Chat::m_HideChatToggle = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbb/a00698_source.html#l00016">16</a> of file <a class="el" href="../../df/dbb/a00698_source.html">chat.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Chat/Scripts/5_mission/dayzexpansion_chat/<a class="el" href="../../df/dbb/a00698_source.html">chat.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d40/a04137.html">Chat</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
